@echo -off
 cls
echo "***********************************************"
echo "*                K O N T R O N                *"
echo "*  Product Center Boards - BIOS UPDATE - EFI  *"
echo "***********************************************"

# Find Efiflash.efi tool and change to found volume.
:FIND_EFIFLASH
for %i run (0 30)

    if exist fs%i:\EfiFlash.efi Then
        fs%i:
        goto CHECK
    endif

endfor

echo "*** Efiflash.efi not found - Please check USB stick content ***"
goto END

:CHECK
# If a BIOS UPD file is available - start EfiFlash AUTO update. 
if exist *.upd then
    goto EFIFLASH
else 
    goto MSG
endif

# Show user message, if no BIOS update file was found. 
:MSG
echo " "
echo "BIOS update HowTo:"
echo "Place Dxxxx-Yz.UPD in USB root directory."
echo " > BIOS update auto-mode: Efiflash.efi /AUTO /RUNTIME /NORESET [Default]"
echo " > BIOS update file-mode: Efiflash.efi Dxxxx-Yz.UPD /RUNTIME /NORESET [/y]"
echo " "
goto END

# EfiFlash AUTO update
:EFIFLASH
efiflash.efi /auto /RUNTIME /NORESET
if "%lasterror%" == "0x15" then
  goto END
endif

:COLDREBOOT
for %j run (5 0)
  if %j == 0 Then
    reset -c
  endif
  echo "reboot in %js"
  stall 1000000
endfor
goto END

:END
